item.cpp File Reference
`#include "options.h"`
`#include "item.h"`
`#include "aJSON.h"`
`#include "utils.h"`
`#include "textconst.h"`
`#include "main.h"`
`#include "bright.h"`
`#include "itemCmd.h"`
`#include "dmx.h"`
`#include <Adafruit_NeoPixel.h>`
`#include <ModbusMaster.h>`
`#include <PubSubClient.h>`
`#include "modules/out_spiled.h"`
`#include "modules/out_ac.h"`
`#include "modules/out_motor.h"`
`#include "modules/out_modbus.h"`
`#include "modules/out_dmx.h"`
`#include "modules/out_pwm.h"`
`#include "modules/out_pid.h"`
`#include "modules/out_multivent.h"`
`#include "modules/out_uartbridge.h"`
`#include "modules/out_relay.h"`

## Macros

#define | M_SUCCESS 1
#define | M_FAILED 0
#define | M_BUSY -1
#define | M_CLEAN 2
#define | a 0.1842f
#define | b -36.68f

## Functions

int | retrieveCode (char **psubItem)
int | subitem2cmd (char *payload)
int | txt2subItem (char *payload)
bool | digGroup (aJsonObject *itemArr, itemCmd *cmd, char *subItem)
void | printActiveStatus (bool active)

## Variables

short | modbusBusy = 0
bool | isPendedModbusWrites = false
aJsonObject * | pollingItem
PubSubClient | mqttClient
int8_t | ethernetIdleCount
int8_t | configLocked
lan_status | lanStatus
ModbusMaster | node

## Macro Definition Documentation

## a

#define a 0.1842f

## b

#define b -36.68f

## M_BUSY

#define M_BUSY -1

## M_CLEAN

#define M_CLEAN 2

## M_FAILED

#define M_FAILED 0

## M_SUCCESS

#define M_SUCCESS 1

## Function Documentation

## digGroup()

bool digGroup | ( | aJsonObject * | itemArr,
|  | itemCmd * | cmd,
|  | char * | subItem
| ) |  |

## printActiveStatus()

void printActiveStatus | ( | bool | active | ) |

## retrieveCode()

int retrieveCode | ( | char ** | psubItem | ) |

## subitem2cmd()

int subitem2cmd | ( | char * | payload | ) |

## txt2subItem()

int txt2subItem | ( | char * | payload | ) |

## Variable Documentation

## configLocked

int8_t configLocked

extern

## ethernetIdleCount

int8_t ethernetIdleCount

extern

## isPendedModbusWrites

bool isPendedModbusWrites = false

## lanStatus

lan_status lanStatus

extern

## modbusBusy

short modbusBusy = 0

## mqttClient

PubSubClient mqttClient

extern

## node

ModbusMaster node

extern

## pollingItem

aJsonObject* pollingItem

extern